org.apache.poi.xssf.usermodel.extensions

## Class XSSFCellAlignment

- java.lang.Object
- - org.apache.poi.xssf.usermodel.extensions.XSSFCellAlignment

-     public class XSSFCellAlignment
      extends java.lang.Object

  Cell settings available in the Format/Alignment tab

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFCellAlignment(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment cellAlignment)` Creates a Cell Alignment from the supplied XML definition

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment` | `getCTCellAlignment()` Access to low-level data
    `HorizontalAlignment` | `getHorizontal()` Get the type of horizontal alignment for the cell
    `long` | `getIndent()` Get the number of spaces to indent the text in the cell
    `ReadingOrder` | `getReadingOrder()` Get the reading order for the cell
    `boolean` | `getShrinkToFit()`
    `long` | `getTextRotation()` Get the degree of rotation for the text in the cell
    `VerticalAlignment` | `getVertical()` Get the type of vertical alignment for the cell
    `boolean` | `getWrapText()` Whether the text should be wrapped
    `void` | `setHorizontal(HorizontalAlignment align)` Set the type of horizontal alignment for the cell
    `void` | `setIndent(long indent)` Set the number of spaces to indent the text in the cell
    `void` | `setReadingOrder(ReadingOrder order)` Set the type of reading order for the cell
    `void` | `setShrinkToFit(boolean shrink)`
    `void` | `setTextRotation(long rotation)` Set the degree of rotation for the text in the cell
    `void` | `setVertical(VerticalAlignment align)` Set the type of vertical alignment for the cell
    `void` | `setWrapText(boolean wrapped)` Set whether the text should be wrapped

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFCellAlignment

          public XSSFCellAlignment(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment cellAlignment)

      Creates a Cell Alignment from the supplied XML definition
      Parameters:
        `cellAlignment` -

  - ### Method Detail

    - #### getVertical

          public VerticalAlignment getVertical()

      Get the type of vertical alignment for the cell
      Returns:
        the type of aligment
      See Also:
        `VerticalAlignment`

    - #### setVertical

          public void setVertical(VerticalAlignment align)

      Set the type of vertical alignment for the cell
      Parameters:
        `align` - - the type of alignment
      See Also:
        `VerticalAlignment`

    - #### getHorizontal

          public HorizontalAlignment getHorizontal()

      Get the type of horizontal alignment for the cell
      Returns:
        the type of aligment
      See Also:
        `HorizontalAlignment`

    - #### setHorizontal

          public void setHorizontal(HorizontalAlignment align)

      Set the type of horizontal alignment for the cell
      Parameters:
        `align` - - the type of alignment
      See Also:
        `HorizontalAlignment`

    - #### setReadingOrder

          public void setReadingOrder(ReadingOrder order)

      Set the type of reading order for the cell
      Parameters:
        `order` - - the type of reading order
      See Also:
        `ReadingOrder`

    - #### getReadingOrder

          public ReadingOrder getReadingOrder()

      Get the reading order for the cell
      Returns:
        the value of reading order
      See Also:
        `ReadingOrder`

    - #### getIndent

          public long getIndent()

      Get the number of spaces to indent the text in the cell
      Returns:
        indent - number of spaces

    - #### setIndent

          public void setIndent(long indent)

      Set the number of spaces to indent the text in the cell
      Parameters:
        `indent` - - number of spaces

    - #### getTextRotation

          public long getTextRotation()

      Get the degree of rotation for the text in the cell

      Expressed in degrees. Values range from 0 to 180. The first letter of the text is considered the center-point of the arc.
      For 0 - 90, the value represents degrees above horizon. For 91-180 the degrees below the horizon is calculated as:
      `[degrees below horizon] = 90 - textRotation.`

      Returns:
        rotation degrees (between 0 and 180 degrees)

    - #### setTextRotation

          public void setTextRotation(long rotation)

      Set the degree of rotation for the text in the cell

      Expressed in degrees. Values range from 0 to 180. The first letter of the text is considered the center-point of the arc.
      For 0 - 90, the value represents degrees above horizon. For 91-180 the degrees below the horizon is calculated as:
      `[degrees below horizon] = 90 - textRotation.`

      Note: HSSF uses values from -90 to 90 degrees, whereas XSSF uses values from 0 to 180 degrees. The implementations of this method will map between these two value-ranges accordingly, however the corresponding getter is returning values in the range mandated by the current type of Excel file-format that this CellStyle is applied to.
      Parameters:
        `rotation` - - the rotation degrees (between 0 and 180 degrees)

    - #### getWrapText

          public boolean getWrapText()

      Whether the text should be wrapped
      Returns:
        a boolean value indicating if the text in a cell should be line-wrapped within the cell.

    - #### setWrapText

          public void setWrapText(boolean wrapped)

      Set whether the text should be wrapped
      Parameters:
        `wrapped` - a boolean value indicating if the text in a cell should be line-wrapped within the cell.

    - #### getShrinkToFit

          public boolean getShrinkToFit()

    - #### setShrinkToFit

          public void setShrinkToFit(boolean shrink)

    - #### getCTCellAlignment

          @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCellAlignment getCTCellAlignment()

      Access to low-level data

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.